package development

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/mdb"
	"shylinux.com/x/icebergs/base/web"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong"
	"shylinux.com/x/operation/src/development/model"
	"shylinux.com/x/operation/src/operation"
)

type Portal struct {
	operation.Portal
	placeCreate string `name:"placeCreate city_name* company_name* repos_type*:select repos_name* repos_link" role:"void"`
}

func (s Portal) PlaceCreate(m *ice.Message, arg ...string) {
	switch ReposType(kit.Int(m.Option(model.REPOS_TYPE))) {
	case ReposSystem:
		msg := s.SpaceOpsCmd(m, web.DREAM, mdb.CREATE, m.Option(model.REPOS_NAME), m.Option(model.REPOS_LINK))
		arg = append(arg, model.NAME, msg.Option(model.NAME))
	case ReposLibrary:
	case ReposGithub:
	}
	s.Portal.PlaceCreate(m, arg...)
}

func init() { gonganxitong.PortalCmd(Portal{Portal: operation.NewPortal(userRepos{}, repos{})}) }
